Update User Configurations
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/user/configurations/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": true,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/user/configurations/user"
payload = {
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": True,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
llm: {},
tts: {},
stt: {},
embeddings: {},
realtime: {},
is_realtime: true,
test_phone_number: '<string>',
timezone: '<string>',
organization_pricing: {},
_provider_key_indicators: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/user/configurations/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/user/configurations/user",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'llm' => [
],
'tts' => [
],
'stt' => [
],
'embeddings' => [
],
'realtime' => [
],
'is_realtime' => true,
'test_phone_number' => '<string>',
'timezone' => '<string>',
'organization_pricing' => [
],
'_provider_key_indicators' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/user/configurations/user"
payload := strings.NewReader("{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/user/configurations/user")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/user/configurations/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}"
response = http.request(request)
puts response.read_body{
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": true,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update User Configurations
PUT
/
api
/
v1
/
user
/
configurations
/
user
Update User Configurations
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/user/configurations/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": true,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/user/configurations/user"
payload = {
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": True,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
llm: {},
tts: {},
stt: {},
embeddings: {},
realtime: {},
is_realtime: true,
test_phone_number: '<string>',
timezone: '<string>',
organization_pricing: {},
_provider_key_indicators: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/user/configurations/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/user/configurations/user",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'llm' => [
],
'tts' => [
],
'stt' => [
],
'embeddings' => [
],
'realtime' => [
],
'is_realtime' => true,
'test_phone_number' => '<string>',
'timezone' => '<string>',
'organization_pricing' => [
],
'_provider_key_indicators' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/user/configurations/user"
payload := strings.NewReader("{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/user/configurations/user")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/user/configurations/user")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"llm\": {},\n \"tts\": {},\n \"stt\": {},\n \"embeddings\": {},\n \"realtime\": {},\n \"is_realtime\": true,\n \"test_phone_number\": \"<string>\",\n \"timezone\": \"<string>\",\n \"organization_pricing\": {},\n \"_provider_key_indicators\": {}\n}"
response = http.request(request)
puts response.read_body{
"llm": {},
"tts": {},
"stt": {},
"embeddings": {},
"realtime": {},
"is_realtime": true,
"test_phone_number": "<string>",
"timezone": "<string>",
"organization_pricing": {},
"_provider_key_indicators": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

